aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorfilip <filip.komar@gmail.com>2015-04-24 23:21:49 +0200
committerfilip <filip.komar@gmail.com>2015-04-24 23:21:49 +0200
commit388a5985dee4d6b6728ef0c3173f35f92f75989a (patch)
tree1f9b9f9f55c992a21b41f3af086d95dfd23b2742 /tools
parentf04b89895779afd3f67e33ac05d5022207a2a052 (diff)
downloadwww-388a5985dee4d6b6728ef0c3173f35f92f75989a.tar
www-388a5985dee4d6b6728ef0c3173f35f92f75989a.tar.gz
www-388a5985dee4d6b6728ef0c3173f35f92f75989a.tar.bz2
www-388a5985dee4d6b6728ef0c3173f35f92f75989a.tar.xz
www-388a5985dee4d6b6728ef0c3173f35f92f75989a.zip
added warning if some gettext components are missing
Diffstat (limited to 'tools')
-rwxr-xr-xtools/rebuild_gettext_catalogs.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tools/rebuild_gettext_catalogs.sh b/tools/rebuild_gettext_catalogs.sh
index 96bc9111a..b2556ef09 100755
--- a/tools/rebuild_gettext_catalogs.sh
+++ b/tools/rebuild_gettext_catalogs.sh
@@ -11,7 +11,14 @@ declare -A errors
if [ -f ./tools/web_projects.dat ]; then
source ./tools/web_projects.dat
else
- echo Critical error!!! It was not possible to load web projects database!
+ echo "Critical error!!! It was not possible to load web projects database! Please report that on atelier mailing list."
+ exit 2
+fi
+
+rpm --quiet -q gettext python-polib
+if [ $? -eq 1 ]; then
+ echo "Warning!!! Some gettext components are missing. Please install them as root: urpmi gettext python-polib"
+ exit 1
fi
for resource in "${!resources[@]}"